export type StoredData = {
    /**
     * Description in local language
     */
    description: string;
    /**
     * A whole number of minutes, presumably
     */
    duration: number;
    id: number;
    imdbId: string;
    /**
     * Two-letter codes
     */
    languages: string[];
    /**
     * Two-letter code
     */
    originalLanguage: string;
    productionYear: number;
    studios: string[];
    /**
     * Title in local language
     */
    title: string;
    userrating: {
        countStar1: number;
        countStar2: number;
        countStar3: number;
        countStar4: number;
        countStar5: number;
        countTotal: number;
    };
};

export type StorageClient = {
    getMetadataByInternalId(
        internalId: number,
    ): Promise<StoredData | undefined>;
    getMetadataByImdbId(imdbId: string): Promise<StoredData | undefined>;
    getAllMetadata(): Promise<StoredData[]>;
};
