export type RawOmdbData = {
    Actors: string;
    Awards?: string;
    BoxOffice?: string;
    Country: string;
    DVD?: string;
    Director: string;
    Episode?: string;
    Genre: string;
    Language: string;
    Metascore: string;
    Plot: string;
    Poster: string;
    Production?: string;
    Rated: string;
    Ratings: {
        Source: string;
        Value: string;
    }[];
    Released: string;
    Runtime: string;
    Season?: string;
    Title: string;
    Type: 'movie' | 'series' | 'episode';
    Website?: string;
    Writer: string;
    Year: string;
    imdbID: string;
    imdbRating: string;
    imdbVotes: string;
    seriesID?: string;
    totalSeasons?: string;
};

export type OmdbResponse =
    | {
          Response: 'False';
          Error: string;
      }
    | (RawOmdbData & {
          Response: 'True';
      });

export type OmdbApiClient = {
    fetchMetadata(imdbId: string): Promise<RawOmdbData | undefined>;
};
