import { describe, it, expect } from '@jest/globals';
import { areStringsEqual } from './stringHelpers';

describe('areStringsEqual', () => {
    it('returns true for identical strings', () => {
        expect(areStringsEqual('abc', 'abc')).toBe(true);
    });

    it('returns false for different strings', () => {
        expect(areStringsEqual('abc', 'def')).toBe(false);
    });

    it('returns true for strings with different casing', () => {
        expect(areStringsEqual('abc', 'ABC')).toBe(true);
    });

    it('returns true for strings with different variants', () => {
        expect(areStringsEqual('Nürnberg', 'Nurnberg')).toBe(true);
    });

    it('returns true for strings with different casing (turkish I)', () => {
        expect(areStringsEqual('İSMİNİZ.GIF', 'isminiz.gif')).toBe(true);
    });
});
