import { Test, type TestingModule } from '@nestjs/testing';
import type { INestApplication } from '@nestjs/common';
import request from 'supertest';
import { AppModule } from '../src/app.module';
import { configureApp } from '../src/utils/nestjsHelpers';

describe('AppController (e2e)', () => {
    let app: INestApplication;

    beforeAll(async () => {
        const moduleFixture: TestingModule = await Test.createTestingModule({
            imports: [AppModule],
        }).compile();

        app = moduleFixture.createNestApplication();
        configureApp(app);
        await app.init();
    });

    it('/api/movies/tt0061852 (GET)', () => {
        return request(app.getHttpServer())
            .get('/api/movies/tt0061852')
            .expect(200)
            .expect((response) => {
                expect(response.body).toMatchObject({
                    title: 'The Jungle Book',
                });
            });
    });
});
